#ifndef ARTECATEGORYCATALOG_H
#define ARTECATEGORYCATALOG_H

#include <QObject>
#include "icatalog.h"

class ArteCategoryCatalog: public QObject, public ICatalog
{
    Q_OBJECT
public:
    ArteCategoryCatalog(QObject* parent);

    QList<FilmDetails*> listFilmsFromCatalogAnswer(QString catalogName, const QString& catalogAnswer);

signals:
    void requestImageDownload(FilmDetails* film, QString imageUrl);

};

#endif // ARTECATEGORYCATALOG_H
