#ifndef ARTELISTCATALOG_H
#define ARTELISTCATALOG_H
#include <catalogs/icatalog.h>

class ArteListCatalog: public QObject, public ICatalog
{
    Q_OBJECT

public:
    ArteListCatalog(QObject* parent);

    QList<FilmDetails*> listFilmsFromCatalogAnswer(QString catalogName, const QString& catalogAnswer);

signals:
    void requestImageDownload(FilmDetails* film, QString imageUrl);
};
#endif // ARTELISTCATALOG_H
